using System.Text.Json.Serialization;

namespace XPrintServer.Api.Dto
{
    public class ClothRequestInfo
    {
        public ClothRequestInfo() { }

        /// <summary>
        /// 模特图片的URL
        /// </summary>
        [JsonPropertyName("model_url")]
        public string ModelUrl { get; set; } = string.Empty;


        /// <summary>
        /// 衣服图片的URL
        /// </summary>
        [JsonPropertyName("cloth_url")]
        public string ClothUrl { get; set; } = string.Empty;


        /// <summary>
        /// 服装图的分类，取值如下：
        /// 上衣："upper"
        /// 下衣："bottom"
        /// 上衣+下衣："full"
        /// 默认值："full"
        /// </summary>
        [JsonPropertyName("cloth_type")]
        public string ClothType { get; set; } = string.Empty;
    }
}
